Bug 79045 - Multicast issues with bcm and tg3 drivers
Multicast issues with bcm and tg3 drivers
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: David Miller
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-12-04 19:56 EST by Need Real Name
Modified: 2007-04-18 12:48 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-06 02:22:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-12-04 19:56:52 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020823
Netscape/7.0

Description of problem:
We have several dell 2650s that have dual broadcom GigE nics.  We are currently
only running them at 100mbit.  We are having lots of problems using multicast
with those NICs. The problems are not real consistent, but we have seen problems
with sending multicast packets and receiving them.

We have tried both the bcm and the tg3 drivers.  Our application talks to the
other servers using multicast, and the servers are consistently not getting the
messages.  We had to ultimately install intel 10/100 PCI cards so our
application would function properly.  Using the intel nics with the e100 driver,
we see no problems with multicast.  We tried several different switches (cisco,
foundry) with the same result.  We also tried connecting 2 machines together
with a crossover cable and we still saw the multicast problems with the broadcom
nics..

We used several different multicast test programs: mrecv/msend available on the
internet), a java multicast test program that we also found on the net, and a
multicast test program using our code. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Run a multicast test program on 2 machines with those broadcom nics.
	

Actual Results:  Sometimes we saw issues from the multicast sending machine and
sometimes we saw issues on the multicast receiving machine. 

The sender would sometimes only send a few packets out of the total number the
test program reported sending.  Sometimes it would not send any.  The receiver
would sometimes only see a few of the packets, or none at all.

Once the intel nics were installed, we did not see a single failure.


Expected Results:  The test programs that we tried sent 10 packets each with a
unique number, and then we should see all 10 packets on the receiving side. 
Since we are not sending these multicast packets over the internet, it should be
a fairly reliable way of talking to a group of machines without directing
packets to individual machines.
Comment 1 David Miller 2004-03-06 02:22:35 EST
No more 7.x updates, so this is unlikely to ever be fixed.

Note You need to log in before you can comment on or make changes to this bug.